xivo-dao (2026.07.00+20260622.154921.dd6f9b61) xivo-rhea-dev; urgency=medium

  * feat: add get_display_name accessor

 -- XiVO Builder Team <release@xivo.fr>  Mon, 22 Jun 2026 15:49:21 +0000

xivo-dao (2026.07.00) xivo-rhea; urgency=medium

  * 9123 Directory by label foundation 
  * 9133 Directory by label - get_lookup_by_label_config 

 -- Benoit SCHULER <bschuler@xivo.solutions>  Thu, 11 Jun 2026 17:13:03 +0200

xivo-dao (2026.05.01) xivo-quantum; urgency=medium

  [ Etienne Allovon ]
  * 9033 - Fix agent login

 -- Etienne Allovon <eallovon@xivo.solutions>  Wed, 22 Apr 2026 17:29:45 +0200

xivo-dao (2026.05.00) xivo-quantum; urgency=medium

  * 8220-build-xivo-on-trixie

 -- Benoit SCHULER <bschuler@xivo.solutions>  Fri, 06 Feb 2026 17:35:35 +0100

xivo-dao (2025.04.00) xivo-orion; urgency=medium

  * 8062 add find_mds_conf method 

 -- Guillaume Millet <gmillet@xivo.solutions>  Wed, 26 Feb 2025 17:03:28 +0100

xivo-dao (2024.10.03) xivo-naos; urgency=medium

  * 8016 display outgoing number for outgoing call 

 -- Guillaume Millet <gmillet@xivo.solutions>  Mon, 28 Oct 2024 16:22:06 +0100

xivo-dao (2024.05.04) xivo-maia; urgency=medium

  * 7802 - fix sqlalchemy warn for relationship config

 -- Etienne Allovon <eallovon@xivo.solutions>  Tue, 11 Jun 2024 16:50:51 +0200

xivo-dao (2024.05.02) xivo-maia; urgency=medium

  * 7564 Fix pjsip/sip conf generation for namedpickupgroup/namedcallgroup

 -- Benoit SCHULER <bschuler@xivo.solutions>  Mon, 06 May 2024 17:40:14 +0200

xivo-dao (2024.04.00) xivo-maia; urgency=medium

  * 7564 Debian 12 and Python 3.11

 -- Chakib Bouchakour <chabouchakour@gmail.com>  Thu, 15 Feb 2024 17:35:59 +0100

xivo-dao (2022.10.01) xivo-jabbah; urgency=medium

  * 5895 - correctly set state_interface for user group/queue member

 -- Etienne Allovon <etienne.allovon@wisper.io>  Mon, 10 Oct 2022 12:03:11 +0200

xivo-dao (2022.09.00) xivo-jabbah; urgency=medium

  * 5614 Add UA for groups
  
 -- Laurent Meiller <lmeiller@xivo.solutions>  Tue, 30 Aug 2022 15:04:24 +0100

xivo-dao (2022.08.00) xivo-jabbah; urgency=medium

  * 5550 fix pep8 and pylint

 -- Vaclav Vorisek <vvorisek@avencall.com>  Wed, 13 Jul 2022 11:19:50 +0100

xivo-dao (2022.07.00) xivo-jabbah; urgency=medium

  * 5924 remove dotenv from requirements

 -- Vaclav Vorisek <vvorisek@avencall.com>  Wed, 25 May 2022 14:06:16 +0200

xivo-dao (2022.06.00) xivo-jabbah; urgency=medium

  * 5198 wizard can bypas network configuration

 -- Vaclav Vorisek <vvorisek@avencall.com>  Thu, 05 May 2022 12:25:16 +0200

xivo-dao (2022.05.01) xivo-izar; urgency=medium

  * 5048 - add alias column to meetingroom table
  * 4752 - obtaining of user preferences

 -- sbelgacem <sbelgacem@xivo.solutions>  Thu, 31 Mar 2022 18:00:30 +0200

xivo-dao (2022.05.00) xivo-izar; urgency=medium

  * 5077 - User status are not present

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 24 Mar 2022 10:54:52 +0100

xivo-dao (2022.04.01) xivo-izar; urgency=medium

  * 4994 - Agent logged in queue should have correct endpoint

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 10 Mar 2022 10:44:52 +0100

xivo-dao (2022.04.00) xivo-izar; urgency=medium

  * 4606 Debian11

 -- Benoît SCHULER <bschuler@avencall.com>  Mon, 28 Feb 2022 18:22:23 +0100

xivo-dao (2022.03.00) xivo-izar; urgency=medium

  * Python3

 -- Etienne Allovon <eallovon@avencall.com>  Wed, 02 Feb 2022 14:58:48 +0100

xivo-dao (2022.02.00) xivo-izar; urgency=medium

  * 4734 column mobile_push_token added to userfeatures table

 -- Sabrina Belgacem <sbelgacem@avencall.com>  Fri, 14 Jan 2022 09:13:05 +0100

xivo-dao (2022.01.00) xivo-izar; urgency=medium

  * 4583 SIP forward received on outgoing call from provider crashes AGI 

 -- Vaclav Vorisek <vvorisek@avencall.com>  Mon, 13 Dec 2021 14:03:01 +0100

xivo-dao (2021.15.05) xivo-helios; urgency=medium

  * 4514 make meetingroom search work with diacritics properly
  * 4634 - Set ivr as incoming call destination

 -- Vaclav Vorisek <vvorisek@avencall.com>  Tue, 16 Nov 2021 12:01:41 +0100

xivo-dao (2021.15.04) xivo-helios; urgency=medium

  * 4578 fix of bad favorites displaying
  * 4577 fix of bad user search results if user's last name is empty

 -- Vaclav Vorisek <vvorisek@avencall.com>  Fri, 12 Nov 2021 08:22:28 +0100

xivo-dao (2021.15.03) xivo-helios; urgency=medium

  * 4563 Add ivr database evolution
  * 4436 advance user search

 -- Tomas Taraba <ttaraba@xivo.solutions>  Mon, 8 Nov 2021 15:45:00 +0100

xivo-dao (2021.15.01) xivo-helios; urgency=medium

  * 4437 If I add a PIN to a room after having shared the link, the pin should be asked to people having the old share link
  * 4420 Remove name from meeting room

 -- Tomas Taraba <ttaraba@xivo.solutions>  Mon, 10 Oct 2021 14:43:49 +0200

xivo-dao (2021.15.00) xivo-helios; urgency=medium

  * 4388 Remove unique constraint on name in meetingRoom table

 -- Erwan SEVELLEC <esevellec@xivo.solutions>  Wed, 29 Sep 2021 11:02:49 +0200

xivo-dao (2021.14.00) xivo-helios; urgency=medium

  * Fix of dependencies in debian/control
  * 4249 create-database-for-xivo-contacts
  * 4361 Add personal meeting room

 -- Vaclav Vorisek <vvorisek@avencall.com>  Mon, 30 Aug 2021 09:23:23 +0200

xivo-dao (2021.13.00) xivo-helios; urgency=medium

  * Bump version

 -- Erwan SEVELLEC <esevellec@xivo.solutions>  Mon, 16 Aug 2021 14:55:15 +0200

xivo-dao (2021.12.00) xivo-helios; urgency=medium

  * Version bump
  * 4298 added uuid to meetingroom table
  * 4331 Turn meetingroom number and user pin into string

 -- tmourier <tmourier@avencall.com>  Tue, 10 Aug 2021 11:13:44 +0200

xivo-dao (2021.11.00) xivo-helios; urgency=medium

  * Version bump
  * 4195 As an admin I can associate an incoming call to a meeting room

 -- Vaclav Vorisek <vvorisek@avencall.com>  Mon, 12 Jul 2021 16:29:40 +0200

xivo-dao (2021.10.00) xivo-helios; urgency=medium

  * 4025 Move xivo-dao to python2/3

 -- Benoît SCHULER <bschuler@avencall.com>  Wed, 16 Jun 2021 15:21:19 +0200

xivo-dao (2021.09.00) xivo-helios; urgency=medium

  * Bump version
  * 4232 - add meetingroom table

 -- Benoît SCHULER <bschuler@avencall.com>  Wed, 26 May 2021 14:52:35 +0200

xivo-dao (2021.08.00) xivo-helios; urgency=medium

  * Bump version 

 -- Rim Jamali <rjamali@avencall.com>  Mon, 10 May 2021 15:34:22 +0200

xivo-dao (2021.07.00) xivo-gaia; urgency=medium

  * 3939 Check password policy for csv import

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 29 mar 2021 11:30:30 +0100

xivo-dao (2020.18.00) xivo-freya; urgency=medium

  [Etienne Allovon]
  * Bump version
  * 3547 - Add userpeferences table

  [Tomas Taraba]
  * 3532 UA - remove UA users from users' listing in group/queue/agent menu

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 01 Oct 2020 16:13:30 +0000

xivo-dao (2020.16.00) xivo-freya; urgency=medium

  * 3458 - retrieve confd acl based on webi user permission

 -- Etienne Allovon <eallovon@avencall.com>  Mon, 31 Aug 2020 09:36:45 +0000

xivo-dao (2020.15.00) xivo-freya; urgency=medium

  * 3412 Add a user to an existing label (API)

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 24 Aug 2020 15:09:36 +0200

xivo-dao (2020.14.00) xivo-freya; urgency=medium

  [Tomas Taraba]
  * 3438 Disassociate users from label when the label is deleted

  [Rim Jamali]
  * 3392 update labels API

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 04 Aug 2020 16:14:32 +0200

xivo-dao (2020.13.00) xivo-freya; urgency=medium

  * 3389 Create labels api

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 22 Jul 2020 13:10:36 +0200

xivo-dao (2020.12.00) xivo-freya; urgency=medium

  * Bump target version to 2020.12
  * 3386 Add delete labels api

 -- tmourier <tmourier@avencall.com>  Mon, 06 Jul 2020 14:47:46 +0200

xivo-dao (2020.11.00) xivo-freya; urgency=medium

  * 3386 - add labels and user labels

 -- Laurent Meiller <lmeiller@avencall.com>  Tue, 23 Jun 2020 15:04:11 +0000

xivo-dao (2020.10.00) xivo-freya; urgency=medium

  * 3366 - update python lib for Debian10

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 11 Jun 2020 15:38:45 +0000

xivo-dao (2020.07.00) xivo-electra; urgency=medium

  [ Tomas Taraba ]
  * 3162 As a user with UA I should have only one presence state displayed for other users

  [ esevellec ]
  * 2524 add configregistrar to the sip user retrieving query

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 02 Apr 2020 14:57:19 +0200

xivo-dao (2019.12.07) xivo-deneb; urgency=medium

  * 2989 Include agentid in user search api

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Wed, 20 Nov 2019 08:43:26 +0000

xivo-dao (2019.12.06) xivo-deneb; urgency=medium

  * 2954 Disabled extensions are still generated in the dialplan

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 11 Nov 2019 11:14:02 +0100

xivo-dao (2019.12.03) xivo-deneb; urgency=medium

  * Bump version to 2019.12.03
  * Add dao layer to create,update,delete and search agent

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Mon, 28 Oct 2019 14:10:07 +0000

xivo-dao (2019.09.00) xivo-deneb; urgency=medium

  * 2733 Add dissuasion_access type to right_type

 -- Etienne Allovon <eallovon@avencall.com>  Tue, 06 Aug 2019 15:56:37 +0000

xivo-dao (2019.05.06) xivo-callisto; urgency=medium

  * 2573 Outcall migration to Route - migrate the 'internal' checkbox

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 06 Jun 2019 14:21:55 +0200

xivo-dao (2019.05.02) xivo-callisto; urgency=medium

  * 2506 Generate hint only on mds where the user belongs

 -- Laurent Meiller <lmeiller@avencall.com>  Mon, 13 May 2019 10:39:41 +0200

xivo-dao (2019.05.00) xivo-callisto; urgency=medium

  [ Tomas Taraba ]
  * 2443 Route tables missing in dao init

  [ Vojtech Sodoma ]
  * 2428 Migrate outcalls to routes

  [ Jean-Pierre Thomasset ]
  * 2397 - Add helper to get extension list and mds of a given user and group

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 15 Apr 2019 17:26:00 +0000

xivo-dao (2019.04.00) xivo-callisto; urgency=medium

  * 2352 Add api to create func key destination for agent
  * 2371 Fix agent api by porting the following fixes
  * 2375 Add a CtiProfile to user when it's not set and a login is set
  * 2396 Remove all_mds entry from mediaserver table
  * 2400 Add route tables for outcall application
  * 2404 New Routing strategy for inter-mds communication
  * 2415 Fix incompatibility with security patch of SQLAlechemy

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Fri, 22 Feb 2019 09:44:53 +0000

xivo-dao (2019.03.00) xivo-callisto; urgency=medium

  [ Laurent Meiller ]
  * 2345 Add site to existing group with search feature
  * 2347 Add find queue settings by queuefeatures or groupfeatures
  * 2348 Extend is_extension_on_current_mds to filter on groupfeatures

  [ Vojtech Sodoma ]
  * 2359 Be able to set mds0 only for SIP Trunk configuration
  * 2361 Generate SIP registration only for local trunks of the MDS

 -- Laurent Meiller <lmeiller@avencall.com>  Mon, 25 Feb 2019 14:44:06 +0100

xivo-dao (2019.02.00) xivo-callisto; urgency=medium

  * 2338 Add column mediaserverid to trunkfeatures
  * 2353 Add query to test if trunk should be generated on this mds

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 07 Feb 2019 11:13:22 +0100

xivo-dao (2018.16.04) xivo-borealis; urgency=medium

  * 2266 Add agent_group_id in user api

 -- Jean-Pierre Thomasset <jpthomasset@gmail.com>  Thu, 03 Jan 2019 16:13:00 +0000

xivo-dao (2018.16.03) xivo-borealis; urgency=medium

  * 2233 Display mds column in users listing page

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 04 Dec 2018 15:09:50 +0100

xivo-dao (2018.16.02) xivo-borealis; urgency=medium

  * 2173 Add API to get user with its agent number
  * 2186 Add API to get all users with its agent number

 -- Etienne Allovon <eallovon@avencall.com>  Thu, 08 Nov 2018 11:08:04 +0100

xivo-dao (2018.15.00) xivo-borealis; urgency=medium

  * 2093 XDS - Be able to route calls depending on the MDS of the peer

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 27 Sep 2018 15:38:12 +0200

xivo-dao (2018.14.00) xivo-borealis; urgency=medium

  * 1150 sqlalchemy upgrade to 1.0

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 28 Sep 2018 18:31:43 +0200

xivo-dao (2018.13.00) xivo-borealis; urgency=medium

  * 1979 Add mediaserver table

 -- Erwan Sevellec <esevellec@avencall.com>  Tue, 14 Aug 2018 17:25:16 +0200

xivo-dao (2018.12.00) xivo-borealis; urgency=medium

  * 1990 Add local state table for db-replic

 -- Laurent Meiller <lmeiller@avencall.com>  Tue, 28 Aug 2018 09:28:45 +0200

xivo-dao (2018.10.00) xivo-borealis; urgency=medium

  * 1946 Can't update cti profile via csv if cti profile hasn't existed before

 -- Tomas Taraba <ttaraba@avencall.com>  Wed, 04 Jul 2018 10:50:12 +0200


xivo-dao (2018.09.00) xivo-borealis; urgency=medium

  * 1888 Add creation of configmgt tables

 -- Etienne Allovon <eallovon@avencall.com>  Wed, 13 Jun 2018 12:12:40 +0200

xivo-dao (2018.08.00) xivo-borealis; urgency=medium

  * 1873 Fix outgoing caller id and call permissions when unc. fwd

 -- Tomas Taraba <ttaraba@avencall.com>  Tue, 15 May 2018 10:25:12 +0200

xivo-dao (2018.06.00) xivo-borealis; urgency=medium

  [Etienne Allovon]
  * 1807 Add fields for recording

  [Vojtech Sodoma]
  * 1813 Create qualification tables on new xivo

 -- Vojtech Sodoma <vsodoma@avencall.com>  Mon, 16 Apr 2018 12:10:08 +0200

xivo-dao (2018.04.00) xivo-aldebaran; urgency=medium

  * 1722 Update Meetmefeatures table schema
  * 1722 Remvoe Meetmeguest table

 -- Etienne Allovon <eallovon@avencall.com>  Fri, 23 Feb 2018 12:18:34 +0100

xivo-dao (2018.02.00) xivo-aldebaran; urgency=medium

  * Add get xivo user id from peer

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 04 Jan 2018 13:23:07 +0100

xivo-dao (2018.01.00) xivo-aldebaran; urgency=medium

  * 1418 Deactivate enablexfer for new users

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 12 Dec 2017 12:12:50 +0100

xivo-dao (2017.10.00) xivo-dev; urgency=medium

  * Set default values for new user:
    - Ringing time : 20
    - Simultaneous calls : 2

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 05 Sep 2017 09:59:04 +0200

xivo-dao (2017.09.00) xivo-dev; urgency=medium

  * Disable creating extension out of context

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 25 Jul 2017 16:42:00 +0200

xivo-dao (2017.08.00) xivo-dev; urgency=medium

  * bump version to 2017.08

 -- Stepan Kabele <skabele@avencall.com>  Tue, 18 Jul 2017 16:03:12 +0200

xivo-dao (2017.06.00) xivo-dev; urgency=medium

  * Remove autopause 'yes' option

 -- Vojtech Sodoma <vsodoma@avencall.com>  Tue, 06 Jun 2017 10:56:09 +0200

xivo-dao (2017.05.00) xivo-dev; urgency=medium

  * Update changelog to 2017.05.00

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 29 May 2017 17:04:23 +0200

xivo-dao (2017.03.09) xivo-dev; urgency=medium

  * Fix return value on get user id from channel when protocol is not sip or return value is not int

 -- Tomas Taraba <ttaraba@avencall.com>  Thu, 20 Jul 2017 15:47:24 +0200

xivo-dao (2017.03.08) xivo-dev; urgency=medium

  * Add helper in user_line_dao user to get user id from user class by channel

 -- Tomas Taraba <ttaraba@avencall.com>  Fri, 23 Jun 2017 16:27:20 +0200

xivo-dao (2017.03.04) xivo-dev; urgency=medium

  * Fix usersip context after line context change

 -- Vojtech Sodoma <vsodoma@avencall.com>  Thu, 11 May 2017 15:19:38 +0200

xivo-dao (2017.03.02) xivo-dev; urgency=low

  * Add error message for unknown csv column

 -- Tomas Taraba <ttaraba@avencall.com>  Mon, 10 Apr 2017 15:40:57 +0200

xivo-dao (13.02~20130131.124922.ae70e6f) xivo-dev; urgency=low

  * add dependency on xivo-config (needed for database migration)

 -- Etienne Lessard <elessard@avencall.com>  Thu, 31 Jan 2013 10:46:09 -0500

xivo-dao (12.22~20121106.150720.b8e539d-2) squeeze-xivo-skaro-dev; urgency=low

  * fix depends, now on xivo-lib-python

 -- Nicolas HICHER (atarakt) <nhicher@proformatique.com>  Wed, 07 Nov 2012 11:26:22 -0500

xivo-dao (1.2.11~20120618.202346.5e41943-1.1) squeeze-xivo-skaro-dev; urgency=low

  * Initial Release.

 -- cabunar <cabunar@avencall.com>  Mon, 09 Jul 2012 13:19:34 -0400
